org.keycloak.adapters.osgi

## Class PaxWebIntegrationService

- java.lang.Object
- - org.keycloak.adapters.osgi.PaxWebIntegrationService

-     public class PaxWebIntegrationService
      extends Object

  Integration with pax-web, which allows to inject custom jetty-web.xml configuration from current bundle classpath into `WebContainer` and allows to inject custom security constraint for securing resources by Keycloak.

  It assumes that pax-web `WebContainer` is used as implementation of OSGI `HttpService`, which is true in karaf/fuse environment

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaxWebIntegrationService()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addConstraintMapping(org.ops4j.pax.web.service.WebContainer service, org.eclipse.jetty.security.ConstraintMapping constraintMapping)`
    `protected org.ops4j.pax.web.service.WebContainer` | `addingWebContainerCallback(org.osgi.framework.ServiceReference webContainerServiceReference)`
    `protected void` | `addJettyWebXml(org.ops4j.pax.web.service.WebContainer service)`
    `org.osgi.framework.BundleContext` | `getBundleContext()`
    `List<org.eclipse.jetty.security.ConstraintMapping>` | `getConstraintMappings()`
    `protected org.osgi.service.http.HttpContext` | `getHttpContext()`
    `String` | `getJettyWebXmlLocation()`
    `protected org.osgi.util.tracker.ServiceTracker` | `getWebContainerTracker()`
    `protected void` | `removingWebContainerCallback(org.osgi.framework.ServiceReference serviceReference)`
    `void` | `setBundleContext(org.osgi.framework.BundleContext bundleContext)`
    `void` | `setConstraintMappings(List<org.eclipse.jetty.security.ConstraintMapping> constraintMappings)`
    `void` | `setJettyWebXmlLocation(String jettyWebXmlLocation)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected static final org.jboss.logging.Logger log

  - ### Constructor Detail

    - #### PaxWebIntegrationService

          public PaxWebIntegrationService()

  - ### Method Detail

    - #### getBundleContext

          public org.osgi.framework.BundleContext getBundleContext()

    - #### setBundleContext

          public void setBundleContext(org.osgi.framework.BundleContext bundleContext)

    - #### getJettyWebXmlLocation

          public String getJettyWebXmlLocation()

    - #### setJettyWebXmlLocation

          public void setJettyWebXmlLocation(String jettyWebXmlLocation)

    - #### getConstraintMappings

          public List<org.eclipse.jetty.security.ConstraintMapping> getConstraintMappings()

    - #### setConstraintMappings

          public void setConstraintMappings(List<org.eclipse.jetty.security.ConstraintMapping> constraintMappings)

    - #### getWebContainerTracker

          protected org.osgi.util.tracker.ServiceTracker getWebContainerTracker()

    - #### getHttpContext

          protected org.osgi.service.http.HttpContext getHttpContext()

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### addingWebContainerCallback

          protected org.ops4j.pax.web.service.WebContainer addingWebContainerCallback(org.osgi.framework.ServiceReference webContainerServiceReference)

    - #### addJettyWebXml

          protected void addJettyWebXml(org.ops4j.pax.web.service.WebContainer service)

    - #### addConstraintMapping

          protected void addConstraintMapping(org.ops4j.pax.web.service.WebContainer service,
                                  org.eclipse.jetty.security.ConstraintMapping constraintMapping)

    - #### removingWebContainerCallback

          protected void removingWebContainerCallback(org.osgi.framework.ServiceReference serviceReference)

Copyright © 2015. All Rights Reserved.